curl --request GET \
--url https://api.example.com/exchange/swap{
"data": [
{
"correlation_id": "7da742ea-a1bc-11ee-b907-560f156a658b",
"created_at": "2021-01-01T00:00:00Z",
"customer": {
"email": "[email protected]",
"id": "1",
"name": "User 1",
"type": "user"
},
"id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"provider": {
"email": "[email protected]",
"id": "1",
"name": "Provider 1",
"type": "provider"
},
"source_amount": {
"amount": 1,
"currency": "USD"
},
"status": "success",
"symbol": "USD-NGN",
"target_amount": {
"amount": 1000,
"currency": "NGN"
},
"updated_at": "2021-01-01T00:00:00Z"
}
],
"pagination": {
"after": "b101f718-d133-450c-a572-c281c7341803",
"before": null,
"limit": 15
}
}curl --request GET \
--url https://api.example.com/exchange/swap{
"data": [
{
"correlation_id": "7da742ea-a1bc-11ee-b907-560f156a658b",
"created_at": "2021-01-01T00:00:00Z",
"customer": {
"email": "[email protected]",
"id": "1",
"name": "User 1",
"type": "user"
},
"id": "7da8e726-a1bc-11ee-80cf-560f156a658b",
"provider": {
"email": "[email protected]",
"id": "1",
"name": "Provider 1",
"type": "provider"
},
"source_amount": {
"amount": 1,
"currency": "USD"
},
"status": "success",
"symbol": "USD-NGN",
"target_amount": {
"amount": 1000,
"currency": "NGN"
},
"updated_at": "2021-01-01T00:00:00Z"
}
],
"pagination": {
"after": "b101f718-d133-450c-a572-c281c7341803",
"before": null,
"limit": 15
}
}Swap List
Response schema for multiple swaps
Swap list
Show child attributes
Reference
Correlation ID
Creation timestamp
Fee Amount
Fee Currency
Id
Source Amount
Source Currency
pending, success, failed Currency pair
Target Amount
Target Currency
Update timestamp